<?php
/*
 * Innovent_CloudsearchConnect extension
*
* NOTICE OF LICENSE
*
* This source file is subject to the Magento Extension License Agreement
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://www.innoventsolutions.com/magento-extension-license.html
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to magento@innoventsolutions.com so we will send you a copy immediately.
*
*
* @category	Innovent
* @package		Innovent_CloudsearchConnect
* @copyright   Copyright (c) 2014 Innovent Solutions Inc. (http://www.innoventsolutions.com)
* @author      Innovent Solutions, Inc.
* @license     http://www.innoventsolutions.com/magento-extension-license.html
*/

$catalogSearchHelper =  $this->helper('catalogsearch');
$provider = Mage::helper('search')->getActiveProvider();
$provider_key = Mage::helper('search')->getActiveProviderKey($provider);
$sayt_enabled = 0;
$items=$terms=$imageurl='false';
if( Mage::getStoreConfig($provider_key . '/sayt_enabled') != 'none' ){
	$sayt_enabled = Mage::getStoreConfig($provider_key . '/sayt_enabled');
	if($sayt_enabled  === 'both'){
		$items=$terms='true';
	}else if ($sayt_enabled  === 'terms'){
		$terms='true';
	}else if ($sayt_enabled  === 'items'){
		$items='true';
	}	
}
$KEY_BASE = Innovent_CloudsearchConnect_Helper_Data::SEARCH_PROVIDER_KEY_ACS;
$secure = Mage::app()->getStore()->isCurrentlySecure();
if( Mage::getStoreConfig($KEY_BASE . '/sayt_enabled') !== 'none')
{
	$sayttermsurl = $this->getUrl('search/autocomplete/terms', array('_secure'=>$secure));
	$saytitemsurl = $this->getUrl('search/autocomplete/items', array('_secure'=>$secure));	
}
else
{
	$sayttermsurl = Mage::getStoreConfig($KEY_BASE . '/sayt_terms');
	$saytitemsurl = Mage::getStoreConfig($KEY_BASE . '/sayt_items');
}

?>


<script type="text/javascript">

var saytInput = '#search';

$j(document).ready(function() {
	$j( saytInput ).sayt({
		applyClass: 'sayt-vertical', // Class to apply to div containing the suggestions
		minLengthToQuery: 1, // Required length of user input before a query is sent
	 	vOffset: 5, // Indicates how far down to move the suggestions window from the bottom of the text control
	 	hOffset: 0, // Indicates how for right to move the suggestions window from the left of the text control
		orientation: 'vertical',
		sections: [
		           {
		        	   selectable: true, // Items in this section can be highlighted
		        	   autocompleteField: 'name', // The field name or array index of the field containing the value to be displayed in the text control
		        	   suggestUserText: false, // User text should be added to the suggestions list as the first item
		        	   preselectFirst: false, // Select the first item in the section as soon as it's loaded
		        	   minimumResultsToDisplay: 1, // Number of results that must be available for the section to display
		        	   source: 'user', // Source of value to request results for; 'user' for user entry text or a number to indicate which section provides source material
		        	   template: '{$!:name}' // The template to display for the field. {$} renders the whole data value, {$:field} renders the specified field within the data object; the ! indicates that text matching User Text should be highlighted
		           },
		           {
		        	   selectable: true, // Items in this section can be highlighted
		        	   autocompleteField: 'name', // The field name or array index of the field containing the value to be displayed in the text control
		        	   suggestUserText: false, // User text should be added to the suggestions list as the first item
		        	   preselectFirst: false, // Select the first item in the section as soon as it's loaded
		        	   minimumResultsToDisplay: 1, // Number of results that must be available for the section to display
		        	   source: 'user', // Source of value to request results for; 'user' for user entry text or a number to indicate which section provides source material
		        	   //header : '&nbsp;',
			   template: '<div class="prodListItem"><img class="prodThumbnail" src="{$:imageurl}" /><div class="prodDetails"><div class="prodName"><a target="_self" href="{$:url}">{$!:name}</a></div><div class="prodPrice">{$:price}</div></div></div>' // The template to display for the field. {$} renders the whole data value, {$:field} renders the specified field within the data object; the ! indicates that text matching User Text should be highlighted
		   }
		   ]
}).on('requestResults', getSuggestions)
.on('search', executeSearch);
});

var getSuggestions = function(event, data) {
if(data.userText == '') return;
if (data.section == 0 && <?php echo $terms ?>) {
	sendSuggestionsRequest( '<?php echo $sayttermsurl ?>', 'q=' + data.userText , getTermsResponse);
} else if (data.section == 1 && <?php echo $items ?>) {
	sendSuggestionsRequest( '<?php echo $saytitemsurl ?>' , 'q=' + data.userText , getItemsResponse);
}
};

var getTermsResponse = function(data, textStatus, jqXHR) {
if (data != null && data != '') {
	$j( saytInput ).sayt('setSectionResults', 0, data.items);
} else {
	$j( saytInput ).sayt('setSectionResults', 0, []);
}
};

var getItemsResponse = function(data, textStatus, jqXHR) {
if (data != null && data != '') {
	$j( saytInput ).sayt('setSectionResults', 1, data.items);
} else {
	$j( saytInput ).sayt('setSectionResults', 1, []);
}
};

var executeSearch = function(event, data) {
var query= data.fieldText.replace(/\s/g, "+");
window.open( '<?php echo $catalogSearchHelper->getResultUrl() ?>?q="' + query + '"', "_self");
};

var sendSuggestionsRequest = function(urlTarget, urlParms, callback) {
$j.ajax({
	url: urlTarget,
	data: urlParms,
	success: callback
});
};

</script>

<div class="margin-top-20 search-form">
<form id="search_mini_form" class="form-horizontal form-inline" action="<?php echo $catalogSearchHelper->getResultUrl() ?>" method="get">

	<div class="input-group form-search">
	    <input id="search" class="form-control" type="text" name="<?php echo $catalogSearchHelper->getQueryParamName() ?>" value="<?php echo $catalogSearchHelper->getEscapedQueryText() ?>" class="input-text" maxlength="<?php echo $catalogSearchHelper->getMaxQueryLength();?>"  autocomplete="off"  />
		<span class="search-icon form-control-feedback">
			<button type="submit"><span class="glyphicon glyphicon-search"></span></button>
		</span>
		<?php echo $this->getLayout()->createBlock('cms/block')->setBlockId('phone_block')->toHtml(); ?>
	</div>


</form>
</div>
	
